%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
%
% Part of softare library HSpec ("Hilbert Spectrum")
% Free software written by  Sofia Olhede and Andrew Walden,
% Dept. of Mathematics, Imperial College, London SW7 2BZ, UK
% November 2004
%
% For terms of use and warranty disclaimer please refer to the
% README file
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
% 
% this creates Fig 1(b) of 
% "A generalized demodulation approach to time-frequency projections for
% multicomponent signals" by S. Olhede and A.T. Walden
%  Proc R. Soc. Lond. A., under review
%
clf; clear all;
batsignal;
signal=transpose(s);
J0=3;% breaks [0,0.5] into 8 intervals
deltat=7e-6;
t=(0:399).*deltat;
kfilt=0;% FejerKorovkin filter, length (18)
%
% illustrate the demodulation transformation
%
hilbert_MODWPT(signal,J0,kfilt,deltat,t);
%
% plot diagonal dashed lines
%
b2=-0.0003;
b1=0.175;
shift=b2.*(t./deltat).^2+b1.*(t./deltat);
dsh=(2.*b2.*(t./deltat)+b1)./deltat;
fb1=(1./(16.*deltat))+dsh;
fb2=(2./(16.*deltat))+dsh;
fb3=(3./(16.*deltat))+dsh;
fb4=(4./(16.*deltat))+dsh;
fb5=(5./(16.*deltat))+dsh;
fb6=(6./(16.*deltat))+dsh;
hold on
plot(t,fb1,'--')
hold on
plot(t,fb2,'--')
hold on
plot(t,fb3,'--')
hold on
plot(t,fb4,'--')
hold on
plot(t,fb5,'--')
hold on
plot(t,fb6,'--')
