%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
%
% Part of softare library HSpec ("Hilbert Spectrum")
% Free software written by  Sofia Olhede and Andrew Walden,
% Dept. of Mathematics, Imperial College, London SW7 2BZ, UK
% November 2004
%
% For terms of use and warranty disclaimer please refer to the
% README file
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
function z=canalytic(y);
%
% makes **complex** signal analytic, ie., gets rid of negative frequencies
%
% so if input y is complex, it does  y+iH(y) = y_R+y_I+iH(y_R+iy_I)
% **** and restandardizes*****
%
x1=real(y);
x2=imag(y);
y1=hilbert(x1);
y2=hilbert(x2);
z=x1-imag(y2)+i.*(imag(y1)+x2);
if norm(x2)>0
	z=z./2;
end;
