%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
%
% Part of softare library HSpec ("Hilbert Spectrum")
% Free software written by  Sofia Olhede and Andrew Walden,
% Dept. of Mathematics, Imperial College, London SW7 2BZ, UK
% November 2004
%
% For terms of use and warranty disclaimer please refer to the
% README file
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
function val=covardetailp(j,k,tau)
%
% cov of coeffs of real/imag part of complex projection using MODWPT
% symmetric fn derived in 
%
% "A generalized demodulation approach to time-frequency projections for
% multicomponent signals" by S. Olhede and A.T. Walden
%  Proc R. Soc. Lond. A., under revision.
%
% j is level
% k (or n) is freq band in MODWPT
% tau is lag
%
% note this formula is for unity variance; apply variance in covphi
tau=abs(tau);
val(tau==0)=1/2^j;
val(tau~=0)=(sin((k+1)*pi.*tau(tau~=0)./2^(j))-sin(k*pi.*tau(tau~=0)/2^(j)))./(pi.*tau(tau~=0));
