%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
%
% Part of softare library HSpec ("Hilbert Spectrum")
% Free software written by  Sofia Olhede and Andrew Walden,
% Dept. of Mathematics, Imperial College, London SW7 2BZ, UK
% November 2004
%
% For terms of use and warranty disclaimer please refer to the
% README file
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
function val=covardetailph(j,k,tau)
%
% cross-cov between real and imag parts of complex projection using MODWPT
% skew-symmetric fn derived in 
%
% "A generalized demodulation approach to time-frequency projections for
% multicomponent signals" by S. Olhede and A.T. Walden
%  Proc R. Soc. Lond. A., under revision.
%
% j is level
% k (or n) is freq band in MODWPT
% tau is lag
%
% note this formula is for unity variance; apply variance in covphi
tau=tau;
val(tau==0)=0;
val(tau~=0)=(cos((k)*pi.*tau(tau~=0)./2^(j))-cos((k+1)*pi.*tau(tau~=0)/2^(j)))./(pi.*tau(tau~=0));
