%+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++   
%
% Part of softare library HSpec ("Hilbert Spectrum")
% Free software written by  Sofia Olhede and Andrew Walden,
% Dept. of Mathematics, Imperial College, London SW7 2BZ, UK
% November 2004
%
% For terms of use and warranty disclaimer please refer to the
% README file
%
%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%
function vector=numericaldiff(x,deltat);
%
% assumes we have x evenly spaced, uses a different approximation 
% at the end-points
% Mainly Richardson's 5 pt formula. See
% Burden and Faires (1993)
% "Numerical Analysis" 5th edition, PWS Publishing Company, Boston
% 
n=length(x);
vector(1)=(-25*x(1)+48*x(2)-36*x(3)+16*x(4)-3*x(5))/(12*deltat);
vector(2)=(-25*x(2)+48*x(3)-36*x(4)+16*x(5)-3*x(6))/(12*deltat);
vector(n-1)=(25*x(n-1)-48*x(n-2)+36*x(n-3)-16*x(n-4)+3*x(n-5))/(12*deltat);
vector(n)=(25*x(n)-48*x(n-1)+36*x(n-2)-16*x(n-3)+3*x(n-4))/(12*deltat);
for j=3:n-2
vector(j)=(x(j-2)-8*x(j-1)+8*x(j+1)-x(j+2))/(12*deltat);
end;
